{% extends "operators/base.html" %}{% load i18n static %}
{% block title %}{% if object %}{% trans "Editing" %} {{ object.user.get_full_name }}{% else %}{% trans "Add new senior" %}{% endif %}{% endblock %}
{% block extrahead %}
<link rel="stylesheet" href="{% static 'leaflet1/leaflet.css' %}" />
<script src="{% static 'leaflet1/leaflet.js' %}"></script>
<link href="{% static 'select2/css/select2.min.css' %}" rel="stylesheet" />
<script src="{% static 'select2/js/select2.min.js' %}"></script>
{% endblock %}
{% block content %}

<div class="page-header mb-4">
    <h1>{% if object %}{% trans "Editing" %} {{ object.plate_number }}{% else %}{% trans "Add new vehicle" %}{% endif %}</h1>
</div>

<div class="container">
    {{ form.errors }}
    <form action="" method="post">
        {% csrf_token %} {{ form.next_url }}
        <div class="form-group mb-3">
            {{ form.plate_number.errors }}
            {{ form.plate_number.label_tag }} {{ form.plate_number }}
        </div>
        <div class="form-group mb-3">
            {{ form.car_model.errors }}
            {{ form.car_model.label_tag }} {{ form.car_model }}
        </div>
        <div class="form-group mb-3">
            {{ form.owner.errors }}
            {{ form.owner.label_tag }} {{ form.owner }}
        </div>
        <div class="form-group mb-3">
            {{ form.user.errors }}
            {{ form.user.label_tag }} {{ form.user }}
        </div>
        <div class="form-group mb-3">
            {{ form.wheelchair.errors }}
            {{ form.wheelchair.label_tag }} {{ form.wheelchair }}
        </div>
        <div class="form-group mb-3">
            {{ form.active.errors }}
            {{ form.active.label_tag }} {{ form.active }}
        </div>
        <div class="mt-4 text-end">
            <button role="button" type="submit" class="btn btn-lg btn-success">
                <i class="fas fa-save"></i> &nbsp; {% trans "Save" %}
            </button>
        </div>
    </form>
</div>

<script>
$(document).ready(function() {
    $("#id_owner").select2();
    $("#id_user").select2();
});
</script>

{% endblock %}